Skip to main content
POST
/
campaigns
/
{id}
/
enrollments
Bulk enroll contacts
curl --request POST \
  --url https://api.pamhq.com/v1/campaigns/{id}/enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": [
    {
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "email": "<string>",
      "vin": "<string>",
      "vehicle_make": "<string>",
      "vehicle_model": "<string>",
      "vehicle_year": "<string>"
    }
  ]
}
'
{
  "data": {
    "enrolled_count": 123,
    "skipped_count": 123
  },
  "meta": {
    "request_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:pk_live_your_api_key
required

API key provided as Authorization: Bearer <key>.

Path Parameters

id
string
required

Campaign ID.

Body

application/json
contacts
object[]
required
Required array length: 1 - 500 elements

Response

Contacts enrolled

data
object
meta
object